

purpose    : TestA
description: This is the 1st YAML doc
say        : Hi

---
# *** YAML2LOG4R ***
log4r_config:
  # define all pre config ...
  pre_config:
    custom_levels:
      - DEB
      - INF
      - PRT
      - WRN
      - ERR
      - FAT
    global:
      level: DEB
    root  :
      level: DEB
    parameters:
      - name   : x
        value  : aaa
      - name   : y
        value  : bbb

  # define all loggers ...
  loggers:
    - name      : mylogger
      level     : DEB
      additive  : 'false'
      trace     : 'false'
      outputters:
        - stderr
        - logfile
        - email
        - scribe

    - name      :  yourlogger
      level     : INF
      outputters:
        - stderr
        - logfile
        - scribe

  # define all outputters (incl. formatters)
  outputters:
    - type     : StderrOutputter
      name     : stderr 
      level    : DEB
      only_at  :
        - INF
        - WRN
        - FAT
      formatter:
        date_pattern: '%y%m%d %H:%M:%S'
        pattern     : '%d %l: %m '
        type        : PatternFormatter

    - type        : DateFileOutputter
      name        : logfile
      level       : DEB
      date_pattern: '%Y%m%d'
      trunc       : 'false'
      dirname     : "#{HOME}/logs"
      formatter   :
        date_pattern: '%y%m%d %H:%M:%S'
        pattern     : '%d %l: %m'
        type        : PatternFormatter
  
    - type        : EmailOutputter
      name        : email
      level       : FAT
      server      : localhost
      subject     : 'Message from #{PN}:'
      from        : test@localhost
      to          : anhu@localhost
      immediate_at: FAT
      formatfirst : 'true'
      formatter   :
        date_pattern: '%y%m%d %H:%M:%S'
        pattern     : '%d %l: %m'
        type        : PatternFormatter

    - type        : ScribeOutputter
      name        : scribe
      level       : DEB
      host        : "127.0.0.1"
      port        : "9090"
      formatter   :
        date_pattern: '%y%m%d %H:%M:%S'
        pattern     : '%d %l: %m'
        type        : PatternFormatter
---
purpose    : TestB
description: This is the last YAML doc
say        : Bye

 
  
  
  
  

